<div class="container-fluid">
    <div class="container sign-up">
        <legend>
            <strong>
                <?= __($this->type . '_account_create') ?>
            </strong>
        </legend>
        <p class="mb-3">
            <?= __('registration_title') ?> <br>
            <?= __('any_questions_contact_us', array('link' => $this->getLink('contact-us'))) ?>
        </p>
        <? if ($this->type == 'escort'): ?>
            <form method="post" id="signup-form">
                <div class="registration-grid">
                    <? //  Left side starts here ?>
                    <div class="left-side-reg">
                        <? if ($this->type == 'escort'): ?>
                            <div class="sale-manager-select box-section px-0 py-2">
                                <div class=" dropdown-rates single-option" title="<?= __('select_account_manager') ?>">
                                    <div class="dropdown" data-error="type">
                                        <select class="single-option-select d-none" name="sales_manager_id">
                                            <? foreach ($this->sales_persons as $sales): ?>
                                                <? unset($this->sales_persons[15]); //jolyne ?>
                                                <option value="<?= $sales['id'] ?>">
                                                    <?= $sales['username'] ?>
                                                </option>
                                            <? endforeach; ?>
                                        </select>
                                        <a class="dropdown-toggle" id="sales-manager-filter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <label class="d-flex text-golden">
                                                <?= __('select_account_manager') ?>
                                            </label>
                                            <span class="dropdown-toggle-val doesnt-matter-text"><?= __('doesnt_matter') ?></span>
                                            <span class="caret"></span>
                                        </a>
                                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="sales-manager-filter">
                                            <? foreach ($this->sales_persons as $sales): ?>
                                                <li data-val="<?= $sales['id'] ?>"><a href="javascript:void(0)"><?= $sales['username'] ?></a></li>
                                            <? endforeach; ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        <? else: ?>
                            <input type="hidden" value="1" name="sales_manager_id">
                        <? endif; ?>

                        <div class="form-group <?= (isset($this->errors['username']) ? 'has-danger' : '') ?>">
                            <input type="text" autocomplete="off" class="custom-input check-username <?= (isset($this->errors['username']) ? 'form-control-danger' : '') ?>" value="<?= isset($this->data['username']) ? $this->data['username'] : '' ?>" name="username" id="signup-username" placeholder="<?= __('username') ?>">
                        </div>
                    </div>
                    <? //  Left side ends here ?>

                    <? //  Right side starts here ?>
                    <div class="right-side-reg">
                        <div class="form-group <?= (isset($this->errors['email']) ? 'has-danger' : '') ?>">
                            <input type="email" class="custom-input <?= (isset($this->errors['email']) ? 'form-control-danger' : '') ?>" value="<?= isset($this->data['email']) ? $this->data['email'] : '' ?>" name="email" placeholder="<?= __('pv2_label_email_address') ?>">
                            <? if (isset($this->errors['email'])): ?>
                                <div class="form-control-feedback"><?= $this->errors['email'] ?></div>
                            <? endif ?>
                        </div>
                        <div class="pswd_cont form-group <?= (isset($this->errors['password']) ? 'has-danger' : '') ?>">
                            <input type="password" class="custom-input <?= (isset($this->errors['password']) ? 'form-control-danger' : '') ?>" name="password" placeholder="<?= __('password') ?>">
                            <span class="toggle_hidden"><img class="tog_vis" src="/images/hidden_password.png"/></span>
                            <? if (isset($this->errors['password'])): ?>
                                <div class="form-control-feedback"><?= $this->errors['password'] ?></div>
                            <? endif ?>
                        </div>
                    </div>
                </div>

                <? //  Right side ends here ?>

                <div class="grid-danger">
                    <? if (isset($this->errors['username'])): ?>
                        <div class=""><?= $this->errors['username'] ?></div>
                    <? endif ?>
                    <div class="username-danger"></div>
                </div>

                <div class="grid-bottom-reg mt-3">
                    <div class="form-group checkbox-lg">
                        <input type="checkbox" name="terms" value="1" id="terms" class="moony <? if (isset($this->errors['terms'])): ?>err<? endif; ?>"/>
                        <label for="terms"><?= __('i_agree_with_terms', array('LINK' => $this->getLink('terms'))) ?></label>
                        <? if (isset($this->errors['terms'])): ?>
                            <div class="error terms"><?= $this->errors['terms'] ?></div><? endif; ?>
                    </div>

                    <div class="form-group mt-10">
                        <div class="g-recaptcha" data-sitekey="6LdSRHgUAAAAADFWp-RKC1D4Fyceu7W0I-oAV1k4"></div>
                        <? if (isset($this->errors['captcha'])): ?><span class="text-danger"><?= $this->errors['captcha'] ?></span><? endif ?>
                    </div>
                </div>
                <div class="register mt-3">
                    <button type="submit" value="Register" class="register my-2 btn-primary mb-5 w-100 reg_btn"><?= __('join_escort_directory') ?></button>
                </div>
            </form>
        <? endif; ?>
        <? if ($this->type !== 'escort'): ?>
            <form method="post" id="signup-form">
                <div class="registration-grid">
                    <? //  Left side starts here ?>
                    <div class="left-side-reg">
                        <div class="form-group <?= (isset($this->errors['username']) ? 'has-danger' : '') ?>">
                            <input type="text" autocomplete="off" class="custom-input check-username <?= (isset($this->errors['username']) ? 'form-control-danger' : '') ?>" value="<?= isset($this->data['username']) ? $this->data['username'] : '' ?>" name="username" id="signup-username" placeholder="<?= __('username') ?>">
                        </div>
                        <div class="pswd_cont form-group <?= (isset($this->errors['password']) ? 'has-danger' : '') ?>">
                            <input type="password" class="custom-input <?= (isset($this->errors['password']) ? 'form-control-danger' : '') ?>" name="password" placeholder="<?= __('password') ?>">
                            <span class="toggle_hidden"><img class="tog_vis" src="/images/hidden_password.png"/></span>
                            <? if (isset($this->errors['password'])): ?>
                                <div class="form-control-feedback"><?= $this->errors['password'] ?></div>
                            <? endif ?>
                        </div>
                    </div>
                    <? //  Left side ends here ?>

                    <? //  Right side starts here ?>
                    <div class="right-side-reg">
                        <div class="form-group <?= (isset($this->errors['email']) ? 'has-danger' : '') ?>">
                            <input type="email" class="custom-input <?= (isset($this->errors['email']) ? 'form-control-danger' : '') ?>" value="<?= isset($this->data['email']) ? $this->data['email'] : '' ?>" name="email" placeholder="<?= __('pv2_label_email_address') ?>">
                            <? if (isset($this->errors['email'])): ?>
                                <div class="form-control-feedback"><?= $this->errors['email'] ?></div>
                            <? endif ?>
                        </div>

                    </div>
                </div>

                <? //  Right side ends here ?>

                <div class="grid-danger">
                    <? if (isset($this->errors['username'])): ?>
                        <div class=""><?= $this->errors['username'] ?></div>
                    <? endif ?>
                    <div class="username-danger"></div>
                </div>

                <div class="grid-bottom-reg mt-3">
                    <div class="form-group checkbox-lg">
                        <input type="checkbox" name="terms" value="1" id="terms" class="moony <? if (isset($this->errors['terms'])): ?>err<? endif; ?>"/>
                        <label for="terms"><?= __('i_agree_with_terms', array('LINK' => $this->getLink('terms'))) ?></label>
                        <? if (isset($this->errors['terms'])): ?>
                            <div class="error terms"><?= $this->errors['terms'] ?></div><? endif; ?>
                    </div>

                    <div class="form-group mt-10">
                        <div class="g-recaptcha" data-sitekey="6LdSRHgUAAAAADFWp-RKC1D4Fyceu7W0I-oAV1k4"></div>
                        <? if (isset($this->errors['captcha'])): ?><span class="text-danger"><?= $this->errors['captcha'] ?></span><? endif ?>
                    </div>
                </div>
                <div class="register mt-3">
                    <button type="submit" value="Register" class="register my-2 btn-primary mb-5 w-100 reg_btn"><?= __('join_escort_directory') ?></button>
                </div>
            </form>
        <? endif; ?>
    </div>
</div>
